| FlatBuffers An open source project by FPL.

Public Member Functions | List of all members
com.google.flatbuffers.ArrayReadWriteBuf Class Reference

Implements `ReadBuf` using an array of bytes as a backing storage. More...

Inherits com.google.flatbuffers.ReadWriteBuf.

## Detailed Description

Implements `ReadBuf` using an array of bytes as a backing storage.

Using array of bytes are usually faster than `ByteBuffer`.

This class is not thread-safe, meaning that it must operate on a single thread. Operating from multiple thread leads into a undefined behavior

## Public Member Functions
| ArrayReadWriteBuf (byte[] buffer)
| ArrayReadWriteBuf (byte[] buffer, int startPos)
| ArrayReadWriteBuf (int initialCapacity)
byte[] | data ()
byte | get (int index)
boolean | getBoolean (int index)
double | getDouble (int index)
float | getFloat (int index)
int | getInt (int index)
long | getLong (int index)
short | getShort (int index)
String | getString (int start, int size)
int | limit ()
void | put (byte value)
void | put (byte[] value, int start, int length)
void | putBoolean (boolean value)
void | putDouble (double value)
void | putFloat (float value)
void | putInt (int value)
void | putLong (long value)
void | putShort (short value)
boolean | requestCapacity (int capacity)
void | set (int index, byte value)
void | set (int index, byte[] toCopy, int start, int length)
void | setBoolean (int index, boolean value)
void | setDouble (int index, double value)
void | setFloat (int index, float value)
void | setInt (int index, int value)
void | setLong (int index, long value)
void | setShort (int index, short value)
int | writePosition ()

The documentation for this class was generated from the following file:

- ArrayReadWriteBuf.java